html,
body {
  margin: 0;
  padding: 0;
}

body {
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  background: radial-gradient(#efefef, #888);
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

canvas {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
}

.container {
  display: flex;
  width: 100%; /* Width of the outside container */
  max-width: 1000px;
  margin:auto;
}

.fixed {
  width: 25px;
}

.flex-item {
  flex-grow: 1;
}

.slidecontainer {
  width: 100%; /* Width of the outside container */
  max-width: 1000px;
  margin:auto;
}

/* The slider itself */
.slider {
  -webkit-appearance: none;  /* Override default CSS styles */
  appearance: none;
  width: 100%; /* Full-width */
  height: 22px; /* Specified height */
  background: #eeeeee; /* Grey background */
  outline: none; /* Remove outline */
  opacity: 0.5; /* Set transparency (for mouse-over effects on hover) */
  -webkit-transition: .2s; /* 0.2 seconds transition on hover */
  transition: opacity .2s;
}

/* Mouse-over effects */
.slider:hover {
  opacity: 1; /* Fully shown on mouse-over */
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
.slider::-webkit-slider-thumb {
  -webkit-appearance: none; /* Override default look */
  appearance: none;
  width: 45px; /* Set a specific slider handle width */
  height: 20px; /* Slider handle height */
  background: #777; /* Green background */
  cursor: pointer; /* Cursor on hover */
}

.slider::-moz-range-thumb {
  width: 45px; /* Set a specific slider handle width */
  height: 20px; /* Slider handle height */
  background: #777; /* Green background */
  cursor: pointer; /* Cursor on hover */
}

#myProgress {
  width: 100%;
  background-color: grey;
}

#myBar {
  width: 1%;
  height: 20px;
  background-color: white;
}

/* Play and Pause buttons*/
.gg-play-button-r {
  box-sizing: border-box;
  position: relative;
  display: block;
  transform: scale(var(--ggs,1));
  width: 25px;
  height: 25px;
  border: 2px solid;
  border-radius: 4px;
  color:#ddd;
}
.gg-play-button-r::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 0;
  height: 10px;
  border-top: 5px solid transparent;
  border-bottom: 5px solid transparent;
  border-left: 6px solid;
  top: 6px;
  left: 8px
}

.gg-play-pause-r {
  box-sizing: border-box;
  position: relative;
  display: block;
  transform: scale(var(--ggs,1));
  width: 25px;
  height: 25px;
  border: 2px solid;
  border-radius: 4px;
  color:#ddd;
}
.gg-play-pause-r::before {
  content: "";
  display: block;
  box-sizing: border-box;
  position: absolute;
  width: 8px;
  height: 8px;
  left: 7px;
  top: 6px;
  border-left: 2px solid;
  border-right: 2px solid
}
